Pagina 1 van 1

Site niet meer bereikbaar na bijwerken Wordpress Plug-ins

Geplaatst: 24 nov 2018, 10:41
door deb35081
Mijn website heeft een Wordpress blog. Een uur geleden een tiental Wordpress plugins bijgewerkt en nu kan ik mijn site niet meer bereiken. Ik krijg de volgende melding:

Fatal error: Can't use function return value in write context in /home/deb35081/domains/gertjan.org/public_html/wp-content/plugins/fruitful-shortcodes/ff-shortcodes.php on line 111

Ik neem aan dat alles er nog staat en via mijn Antagonist ingelogd, maar ik heb geen idee hoe het te repareren.

Ik wil geen rare dingen doen omdat mijn meest recente backup van begin 2015 is.

Re: Site niet meer bereikbaar na bijwerken Wordpress Plug-ins

Geplaatst: 25 nov 2018, 21:41
door emiel
Wanneer je naar de plugin pagina gaat van deze plugin kun je helemaal onderaan een vorige versie selecteren. Via deze link kun je bijvoorbeeld versie 1.6.1 downloaden.
De gedownloade versie kun je dan via FTP in je /wp-content/plugins/ directory zetten.

Re: Site niet meer bereikbaar na bijwerken Wordpress Plug-ins

Geplaatst: 26 nov 2018, 11:07
door Hiranthi Herlaar
He wat vervelend!

Als de plugin(s) nog beschikbaar zijn via de WordPress plugin repository kun je inderdaad oudere versies downloaden zoals emiel aangeeft :)

Wat de foutmelding verder eigenlijk aangeeft, is dat de PHP versie die je in je pakket actief hebt, niet overweg kan met de code van de plugin.

Je kan dus ook kijken of het wijzigen van je PHP-versie (allereerst naar 5.6) helpt in het weer bereikbaar maken van je website: https://www.antagonist.nl/help/nl/webho ... p-selector
Eenmaal weer bereikbaar kun je een recente backup aanmaken via 'Create/Restore Backups' in DirectAdmin (mocht je geen automatische herstelpunten beschikbaar hebben via 'Antagonist Backups'): https://www.antagonist.nl/help/nl/webho ... tup/backup

Voor je naar PHP 7.x gaat upgraden, is het goed om te weten dat er tussen 5.6 en 7.0 flinke veranderingen zijn geweest in de manier waarop de code wordt verwerkt (daarnaast zijn een aantal functies komen te vervallen). Vandaar dat je het best eerst naar 5.6 kunt updaten (daarna verdere updates verwerken en pas daarna naar 7.x updaten). Het (uiteindelijk) updaten naar 7.x kan je wel een flinke snelheidswinst opleveren overigens: https://www.antagonist.nl/blog/2017/09/ ... nst-php71/

Re: Site niet meer bereikbaar na bijwerken Wordpress Plug-ins

Geplaatst: 26 nov 2018, 11:52
door deb35081
In de fruitful-shortcodes directory stonden twee subdirectories, een voor versie 1.6 en de andere voor versie 2.0 Daarnaast stonden er nog een stapel losse bestanden. De fruitful-shortcodes directory in zijn geheel verwijderd en versie 1.6 uitgepakt en ge-upload en de site is weer bereikbaar. Ziet er ook een stuk netter uit. Directory met daaronder subdirectory voor versie 1.6 en geen losse bestandjes in de root meer.

Bedankt voor jullie hulp Emiel en Hiranthi! Ga ik nu even een backup maken!